## q2-cutadapt 2020.11.1

=== Makefile ===
.PHONY: all lint test test-cov install dev clean distclean

PYTHON ?= python

all: ;

lint:
	q2lint
	flake8

test: all
	py.test

test-cov: all
	py.test --cov=q2_cutadapt

install: all
	$(PYTHON) setup.py install

dev: all
	pip install -e .

clean: distclean

distclean: ;

## q2-cutadapt 2019.4.0

=== debian/changelog ===
q2-cutadapt (2019.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #931249)

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Thu, 20 Jun 2019 17:29:03 +0200

=== debian/control ===
Source: q2-cutadapt
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3,
               python3-setuptools,
               python3-pytest-cov,
               python3-pandas,
               cutadapt (>= 2.3),
               q2-types
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/q2-cutadapt
Vcs-Git: https://salsa.debian.org/med-team/q2-cutadapt.git
Homepage: https://qiime2.org/

Package: q2-cutadapt
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-pandas,
         cutadapt,
         pigz,
         qiime,
         q2-types
Description: QIIME 2 plugin to work with adapters in sequence data
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# For testing, we need .egg-info so the entry points are available.
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
# Delete .egg-info and other files that were generated along with .egg-info
export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-cutadapt.egg-* {build_dir}/site.py \
	{build_dir}/.coverage* {build_dir}/easy-install.pth

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_cutadapt"

=== debian/watch ===
version=4

https://github.com/qiime2/q2-cutadapt/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2-cutadapt 2019.10.0

=== debian/changelog ===
q2-cutadapt (2019.10.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/changelog
  * Needs qiime and q2-types >= 2019.10.0

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sun, 29 Dec 2019 15:59:09 +0300

q2-cutadapt (2019.7.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target

  [ Liubov Chuprikova ]
  * New upstream version
  * Needs qiime (>= 2019.7.0) and q2-types (>= 2019.7.0)
  * Use setup.py develop to un-deploy the project after testing
  * Add autopkgtest

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Fri, 02 Aug 2019 23:13:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: q2-cutadapt
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
                python3-setuptools,
                python3-pytest-cov,
                python3-pandas,
                cutadapt (>= 2.3),
-               q2-types
-Standards-Version: 4.3.0
+               qiime (>= 2019.10.0),
+               q2-types (>= 2019.10.0)
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-cutadapt
 Vcs-Git: https://salsa.debian.org/med-team/q2-cutadapt.git
 Homepage: https://qiime2.org/

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# For testing, we need to deploy the project in the build directory
# so that qiime2 plugins are loaded
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
# Un-deploy the project
export PYBUILD_AFTER_TEST=rm -v {build_dir}/site.py {build_dir}/.coverage*; \
	python{version} setup.py develop --uninstall --install-dir {build_dir}

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_cutadapt"
endif

## q2-cutadapt 2020.11.1

=== debian/changelog ===
q2-cutadapt (2020.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove trailing whitespace in debian/rules (routine-update)
  * d/u/metadata: add refs to registries

 -- Steffen Moeller <moeller@debian.org>  Tue, 08 Dec 2020 18:32:29 +0100

q2-cutadapt (2020.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * No build-time tests to circumvent module registration
  * Updated dependy on qiime (>= 2020.11.0)

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Dec 2020 00:10:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-setuptools,
                python3-pytest-cov,
                python3-pandas,
                cutadapt (>= 2.3),
-               qiime (>= 2019.10.0),
-               q2-types (>= 2019.10.0)
-Standards-Version: 4.4.1
+               qiime (>= 2020.11.0),
+               q2-types (>= 2020.11.0)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-cutadapt
 Vcs-Git: https://salsa.debian.org/med-team/q2-cutadapt.git
 Homepage: https://qiime2.org/
+Rules-Requires-Root: no
 
 Package: q2-cutadapt
 Architecture: any

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d[.\d]+@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/qiime2/q2-cutadapt/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2-cutadapt 2021.8.0

=== debian/changelog ===
q2-cutadapt (2021.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * Fixed d/watch.

  [ Nilesh Patra ]
  * d/salsa-ci.yml: Disable build on i386 due to missing python3-skbio

  [ Andreas Tille ]
  * Versioned (Build-)Depends qiime and q2 modules (>= 2021.8.0)
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 17:18:08 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                python3-pytest-cov,
                python3-pandas,
                cutadapt (>= 2.3),
-               qiime (>= 2020.11.0),
-               q2-types (>= 2020.11.0)
-Standards-Version: 4.5.1
+               qiime (>= 2021.8.0),
+               q2-types (>= 2021.8.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/q2-cutadapt
 Vcs-Git: https://salsa.debian.org/med-team/q2-cutadapt.git
 Homepage: https://qiime2.org/
@@ -27,8 +27,8 @@
          python3-pandas,
          cutadapt,
          pigz,
-         qiime,
-         q2-types
+         qiime (>= 2021.8.0),
+         q2-types (>= 2021.8.0)
 Description: QIIME 2 plugin to work with adapters in sequence data
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,15 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+# FIXME: similarly to the qiime and q2-types packages, the build time testing fails, as
+#        the Qiime plugin system is not fully available at this point of the package
+#        construction.  The test suite is only run at autopkgtest time, but this
+#        is not ideal, since the only tested python version is the default one.
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_cutadapt"
+#	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_cutadapt"
 endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f q2_cutadapt.egg-info/PKG-INFO q2_cutadapt.egg-info/SOURCES.txt q2_cutadapt.egg-info/dependency_links.txt q2_cutadapt.egg-info/entry_points.txt q2_cutadapt.egg-info/not-zip-safe q2_cutadapt.egg-info/top_level.txt

## q2-cutadapt 2022.2.0

=== debian/changelog ===
q2-cutadapt (2022.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Adjust versioned (Build-)Depends

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jul 2022 17:18:59 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                python3-pytest-cov,
                python3-pandas,
                cutadapt (>= 2.3),
-               qiime (>= 2021.8.0),
-               q2-types (>= 2021.8.0)
-Standards-Version: 4.6.0
+               qiime (>= 2022.2.0),
+               q2-types (>= 2022.2.0)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-cutadapt
 Vcs-Git: https://salsa.debian.org/med-team/q2-cutadapt.git
 Homepage: https://qiime2.org/
@@ -27,8 +27,8 @@
          python3-pandas,
          cutadapt,
          pigz,
-         qiime (>= 2021.8.0),
-         q2-types (>= 2021.8.0)
+         qiime (>= 2022.2.0),
+         q2-types (>= 2022.2.0)
 Description: QIIME 2 plugin to work with adapters in sequence data
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-cutadapt 2022.11.1

=== debian/changelog ===
q2-cutadapt (2022.11.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:37:54 +0100

q2-cutadapt (2022.11.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Bump versioned Depends
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2023 20:51:38 +0100

q2-cutadapt (2022.8.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2022.8.0
  * Updated dependency on qiime/q2-* >= 2022.8.0

 -- Nilesh Patra <nilesh@debian.org>  Mon, 05 Sep 2022 22:43:21 +0530

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                python3-pytest-cov,
                python3-pandas,
                cutadapt (>= 2.3),
-               qiime (>= 2022.2.0),
-               q2-types (>= 2022.2.0)
-Standards-Version: 4.6.1
+               qiime (>= 2022.11.1),
+               q2-types (>= 2022.11.1)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-cutadapt
 Vcs-Git: https://salsa.debian.org/med-team/q2-cutadapt.git
 Homepage: https://qiime2.org/
@@ -27,8 +27,8 @@
          python3-pandas,
          cutadapt,
          pigz,
-         qiime (>= 2022.2.0),
-         q2-types (>= 2022.2.0)
+         qiime (>= 2022.11.1),
+         q2-types (>= 2022.11.1)
 Description: QIIME 2 plugin to work with adapters in sequence data
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-cutadapt 2024.5.0

=== debian/changelog ===
q2-cutadapt (2024.5.0-1build1) oracular; urgency=medium

  * Rebuild against new qiime with python3.12 tests enabled.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jul 2024 08:36:49 +0200

q2-cutadapt (2024.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * d/patches/configparser.patch: copy from qiime
  * Only build for Python 3.11 until upstream catches up with Python
    3.12.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Jun 2024 04:21:07 +0200

q2-cutadapt (2024.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Autopkgtest for all supported Python3 versions
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 14:38:40 +0100

q2-cutadapt (2023.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 15:25:57 +0100

q2-cutadapt (2023.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2023.7.0  (Closes: #1044058)
  * skip-test-needing-internet.patch: new.
  * d/copyright: bump copyright year.
  * d/control: remove obsolete restriction on cutadapt version.

 -- Étienne Mollier <emollier@debian.org>  Sat, 19 Aug 2023 10:59:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2-cutadapt
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3,
+               dh-sequence-python3,
+               python3-all,
                python3-setuptools,
                python3-pytest-cov,
                python3-pandas,
-               cutadapt (>= 2.3),
-               qiime (>= 2022.11.1),
-               q2-types (>= 2022.11.1)
+               cutadapt,
+               qiime (>= 2024.5),
+               q2-types (>= 2024.5)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-cutadapt
 Vcs-Git: https://salsa.debian.org/med-team/q2-cutadapt.git
@@ -27,8 +28,8 @@
          python3-pandas,
          cutadapt,
          pigz,
-         qiime (>= 2022.11.1),
-         q2-types (>= 2022.11.1)
+         qiime (>= 2024.5),
+         q2-types (>= 2024.5)
 Description: QIIME 2 plugin to work with adapters in sequence data
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
+
+include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
 
 # For testing, we need to deploy the project in the build directory
 # so that qiime2 plugins are loaded
@@ -11,7 +14,11 @@
 	python{version} setup.py develop --uninstall --install-dir {build_dir}
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
+
+debian/control: debian/control.in
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
 
 # FIXME: similarly to the qiime and q2-types packages, the build time testing fails, as
 #        the Qiime plugin system is not fully available at this point of the package

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/qiime2/q2-cutadapt/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
